<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Grimlock_LearnDash
 *
 * @author  themoasaurus
 * @since   1.0.0
 * @package grimlock-learndash
 */
class Grimlock_LearnDash {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		load_plugin_textdomain( 'grimlock-learndash', false, 'grimlock-learndash/languages' );

		// TODO: Consider migrating to Grimlock.
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/trait-grimlock-learndash-archive-template-customizer.php';

		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-archive-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-archive-sfwd-courses-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-archive-sfwd-lessons-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-button-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-pagination-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-assignment-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-certificates-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-courses-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-essays-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-lessons-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-quiz-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-single-sfwd-topic-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-table-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-taxonomy-ld-course-category-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-taxonomy-ld-course-tag-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-taxonomy-ld-lesson-category-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-taxonomy-ld-lesson-tag-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-taxonomy-ld-topic-category-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-taxonomy-ld-topic-tag-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-global-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/customizer/class-grimlock-learndash-typography-customizer.php';
		require_once GRIMLOCK_LEARNDASH_PLUGIN_DIR_PATH . 'inc/course-grid/class-grimlock-learndash-course-grid.php';

		add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_scripts' ), 10 );
	}

	/**
	 * Enqueue scripts
	 *
	 * @since 1.0.6
	 */
	public function enqueue_scripts() {
		wp_enqueue_style( 'grimlock-learndash', GRIMLOCK_LEARNDASH_PLUGIN_DIR_URL . 'assets/css/style.css', array(), GRIMLOCK_LEARNDASH_VERSION );

		/*
		 * Load style-rtl.css instead of style.css for RTL compatibility
		 */
		wp_style_add_data( 'grimlock-learndash', 'rtl', 'replace' );
	}
}
