<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Grimlock_LearnDash_Course_Grid
 *
 * @author  themoasaurus
 * @since   1.0.0
 * @package grimlock-learndash
 */
class Grimlock_LearnDash_Course_Grid {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'the_content', array( $this, 'dequeue_styles' ), 20, 1 );
	}

	/**
	 * Dequeue Bootstrap styles from LearnDash Course Grid.
	 *
	 * @since 1.0.0
	 */
	public function dequeue_styles( $content ) {
		$handle = 'ld-cga-bootstrap';
		if ( wp_style_is( $handle, 'enqueued' ) ) {
			wp_dequeue_style( $handle );
		}
		return $content;
	}
}

return new Grimlock_LearnDash_Course_Grid();
