<?php
/**
 * Grimlock_LearnDash_Archive_SWFD_Courses_Customizer Class
 *
 * @author  themosaurus
 * @since   1.0.0
 * @package grimlock-learndash
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock Customizer class for the LearnDash course archive pages.
 */
class Grimlock_LearnDash_Archive_SWFD_Courses_Customizer {
	use Grimlock_LearnDash_Archive_Template_Customizer;

	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_custom_header_args',               array( $this, 'add_custom_header_args' ), 30, 1 );
		add_filter( 'grimlock_learndash_customizer_is_template', array( $this, 'is_template'            ), 10, 1 );
	}

	/**
	 * Check if template is the template for the course archive page.
	 *
	 * @since 1.0.0
	 *
	 * @param  bool $default The default value for the check
	 *
	 * @return bool          The filtered value for the check
	 */
	public function is_template( $default = false ) {
		return is_post_type_archive( 'sfwd-courses' ) || $default;
	}

	/**
	 * Get the object for the post type.
	 *
	 * @since 1.0.6
	 *
	 * @return object The post type object.
	 */
	protected function get_post_type_object() {
		return get_post_type_object( 'sfwd-courses' );
	}

	/**
	 * Get the title for the post type archive.
	 *
	 * @since 1.0.6
	 *
	 * @return string The archive title.
	 */
	protected function get_archive_title() {
		return esc_html__( 'Courses', 'grimlock-learndash' );
	}
}

return new Grimlock_LearnDash_Archive_SWFD_Courses_Customizer();
