<?php
/**
 * Grimlock_LearnDash_Pagination_Customizer Class
 *
 * @author   Themosaurus
 * @since    1.0.0
 * @package grimlock
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The pagination class for the Customizer.
 */
class Grimlock_LearnDash_Pagination_Customizer {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_pagination_customizer_elements', array( $this, 'add_elements' ), 10, 1 );
	}

	/**
	 * Add CSS selectors to the array of CSS selectors for the pagination.
	 *
	 * @since 1.0.6
	 *
	 * @param  array $elements The array of CSS selectors for the pagination.
	 *
	 * @return array           The updated array of CSS selectors for the pagination.
	 */
	public function add_elements( $elements ) {
		return array_merge( $elements, array(
			'.learndash-pager',
		) );
	}
}

return new Grimlock_LearnDash_Pagination_Customizer();
