<?php
/**
 * Grimlock_LearnDash_Single_SWFD_Courses_Customizer Class
 *
 * @author  themosaurus
 * @since   1.0.0
 * @package grimlock-learndash
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock Customizer class for the LearnDash singular course pages.
 */
class Grimlock_LearnDash_Single_SWFD_Courses_Customizer {
	use Grimlock_Custom_Header;

	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_custom_header_args',               array( $this, 'add_custom_header_args' ), 30, 1 );
		add_filter( 'grimlock_learndash_customizer_is_template', array( $this, 'is_template'            ), 10, 1 );
	}

	/**
	 * Check if template is the template for the course archive page.
	 *
	 * @since 1.0.0
	 *
	 * @param  bool $default The default value for the check
	 *
	 * @return bool          The filtered value for the check
	 */
	public function is_template( $default = false ) {
		return is_singular( 'sfwd-courses' ) || $default;
	}

	/**
	 * Change the title for the Custom Header.
	 *
	 * @since 1.0.0
	 *
	 * @param  array $args The array of arguments for the Custom Header.
	 *
	 * @return array       The filtered array of arguments for the Custom Header.
	 */
	public function add_custom_header_args( $args ) {
		$this->add_custom_header_title( $args );
		$this->add_custom_header_subtitle( $args );
		return $args;
	}
}

return new Grimlock_LearnDash_Single_SWFD_Courses_Customizer();
