<?php
/**
 * Grimlock_LearnDash_Taxonomy_LD_Course_Category_Customizer Class
 *
 * @author  themosaurus
 * @since   1.0.0
 * @package grimlock-learndash
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock Customizer class for the LearnDash assignment archive pages.
 */
class Grimlock_LearnDash_Taxonomy_LD_Course_Category_Customizer {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_learndash_customizer_is_template', array( $this, 'is_template' ), 10, 1 );
	}

	/**
	 * Check if template is the template for the assignment archive page.
	 *
	 * @since 1.0.0
	 *
	 * @param  bool $default The default value for the check
	 *
	 * @return bool          The filtered value for the check
	 */
	public function is_template( $default = false ) {
		return is_tax( 'ld_course_category' ) || $default;
	}
}

return new Grimlock_LearnDash_Taxonomy_LD_Course_Category_Customizer();
