<?php
/**
 * Grimlock_LearnDash_Archive_Template_Customizer Trait
 *
 * TODO: Consider improving according to naming convention.
 *
 * @author  themosaurus
 * @since   1.0.0
 * @package grimlock-learndash
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock LearnDash Customizer trait for archive templates.
 */
trait Grimlock_LearnDash_Archive_Template_Customizer {
	/**
	 * Change the title for the Custom Header.
	 *
	 * @since 1.0.6
	 *
	 * @param  array $args The array of arguments for the Custom Header.
	 *
	 * @return array       The filtered array of arguments for the Custom Header.
	 */
	public function add_custom_header_args( $args ) {
		if ( $this->is_template() ) {
			$post_type_obj = $this->get_post_type_object();
			$archive_title = $this->get_archive_title();

			if ( is_object( $post_type_obj ) && isset( $post_type_obj->label ) && $post_type_obj->label !== '' ) {
				$archive_title = $post_type_obj->label;
			}
			$args['title']    = $archive_title;
			$args['subtitle'] = '';
		}
		return $args;
	}

	/**
	 * Check if the current template is the expected template.
	 *
	 * @since 1.0.6
	 *
	 * @return bool True when the template is the expected template, false otherwise.
	 */
	protected abstract function is_template();

	/**
	 * Get the object for the post type.
	 *
	 * @since 1.0.6
	 *
	 * @return object The post type object.
	 */
	protected abstract function get_post_type_object();

	/**
	 * Get the title for the post type archive.
	 *
	 * @since 1.0.6
	 *
	 * @return string The archive title.
	 */
	protected abstract function get_archive_title();
}
